%global         momorel 1
%global         srcver 1.2205

Name:           perl-Net-IMAP-Simple
Version:        %{srcver}
Release:        %{momorel}m%{?dist}
Summary:        Perl extension for simple IMAP account handling
License:        "Distributable"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-IMAP-Simple/
Source0:        http://www.cpan.org/authors/id/J/JE/JETTERO/Net-IMAP-Simple-%{srcver}.tar.gz
NoSource:       0
Patch0:         %{name}-1.2026-no-prompt.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.008
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-IO
BuildRequires:  perl-Parse-RecDescent
BuildRequires:  perl-Net-IMAP-Server
Requires:       perl-IO
Requires:       perl-Parse-RecDescent
Requires:       perl-Net-IMAP-Server
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you want to execute test, turn on do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
This module is a simple way to access IMAP accounts.

%prep
%setup -q -n Net-IMAP-Simple-%{srcver}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes META.json README TODO
%{perl_vendorlib}/Net/IMAP/Simple
%{perl_vendorlib}/Net/IMAP/Simple*.pm
%{perl_vendorlib}/Net/IMAP/Simple*.pod
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2205-1m)
- rebuild against perl-5.20.0
- update to 1.2205

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2204-2m)
- rebuild against perl-5.18.2

* Thu Jan  2 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2204-1m)
- update to 1.2204

* Thu Oct 10 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2203-1m)
- update to 1.2203

* Sun Oct  6 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2202-1m)
- update to 1.2202

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2201-2m)
- rebuild against perl-5.18.1

* Sat Aug 10 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2201-1m)
- update to 1.2201

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2200-2m)
- rebuild against perl-5.18.0

* Tue Apr 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2200-1m)
- update to 1.2200

* Fri Mar 29 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2100-1m)
- update to 1.2100

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2034-3m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2034-2m)
- rebuild against perl-5.16.2

* Thu Oct 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2034-1m)
- update to 1.2034

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2030-4m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2030-3m)
- rebuild against perl-5.16.0

* Sat Feb 18 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2030-2m)
- set do test 0 due to tests fail on i686 only

* Tue Feb  7 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2030-1m)
- update to 1.2030
- still tests fail...

* Sun Jan  1 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2027.1-1m)
- update to 1.20271

* Sat Dec 24 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2027-1m)
- update to 1.2027

* Sat Oct 29 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2026-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
